#
# spec file for package libspiro0
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define tarversion 20071029

Name:           libspiro
Version:        0.0.1
Release:        12.3
Summary:        A clothoid to bezier spline converter
License:        GPL-2.0+
Group:          System/Libraries
Source0:        %{name}_src-%{tarversion}.tar.bz2
Url:            http://libspiro.sourceforge.net
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  gcc-c++
BuildRequires:  pkg-config

%description
libspiro contains routines which will convert an array of clothoid
spline control points into an equivalent set of bezier control points.

Authors
-------
  Raph Levien <raph.levien@gmail.com>
  George Williams <gww@silcom.com>

%package -n %{name}0
Summary:	A clothoid to bezier spline converter
Group:		System/Libraries

%description -n %{name}0
libspiro contains routines which will convert an array of clothoid
spline control points into an equivalent set of bezier control points.

%package devel
Summary:        Development Files for %{name}
Group:          Development/Libraries/C and C++
Requires:       %{name}0 = %{version} glibc-devel

%description devel
This package contains all necessary include files and libraries needed
to compile and develop applications that use %{name}.

Authors
-------
  Raph Levien <raph.levien@gmail.com>
  George Williams <gww@silcom.com>


%prep
%setup -q -n %{name}-%{tarversion}

%build
# autoreconf -fi
%configure --with-pic\
           --disable-static
make %{?smp_mflags}

cat > %{name}.pc << EOF
prefix=%{_prefix}
exec_prefix=%{_exec_prefix}
libdir=%{_libdir}
includedir=%{_includedir}

Name: %{name}
Description: %{summary}
Requires:
Version: %{name}
Libs: -L\${libdir} -lspiro
Libs.private: -lm
Cflags: -I\${includedir}
EOF

%install
%makeinstall
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la
mkdir -p $RPM_BUILD_ROOT%{_libdir}/pkgconfig/
mv *.pc $RPM_BUILD_ROOT%{_libdir}/pkgconfig/

%post -n %{name}0 -p /sbin/ldconfig

%postun -n %{name}0 -p /sbin/ldconfig

%files -n %{name}0
%defattr(-,root,root)
%doc gpl.txt README*
%{_libdir}/lib*.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc

%changelog
* Mon Feb  6 2012 cfarrell@suse.com
- license update: GPL-2.0+
  See gpl.txt and e.g. spiro.c - there is no indication that this is
  BSD-3-Clause licensed and every indication that it is GPL-2.0+ licensed
* Sat Feb  4 2012 jengelh@medozas.de
- Restore ldconfig call for shlib package
* Sat Feb  4 2012 i@marguerite.su
- rename spec file and changelog to meet Factory requirements.
* Sat Feb  4 2012 jengelh@medozas.de
- Remove redundant tags/sections
- pkgconfig file: libm should not be in the shared link
- Remove pointless Obsoletes, the supposedly old name has never
  been in use before
* Sat Feb  4 2012 jengelh@medozas.de
- make license SPDX compatible.
* Sun Dec 25 2011 i@marguerite.su
- enable debuginfo package
* Sat Nov 26 2011 i@marguerite.su
- formated specfile to merge into home:opensuse_zh
